#!/usr/bin/env -S node --loader ts-node/esm --disable-warning=ExperimentalWarning --no-deprecation

// in development, if ignoring SSL errors, suppress warning
if (process.env.NODE_TLS_REJECT_UNAUTHORIZED === '0') {
  process.emitWarning = (warning, ...args) => {
    if (typeof warning === 'string' && warning.includes('NODE_TLS_REJECT_UNAUTHORIZED')) {
      return;
    }

    console.warn(warning, ...args);
  };
}

import { execute } from '@oclif/core';

await execute({ development: true, dir: import.meta.url });